<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aes__ccm__encrypt__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aes_ccm_encrypt_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aes__ccm__encrypt__info__t_1a5d23852ec7aca9b8b8b43c197a74c8ab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_encrypt_info_t::key[CY_BLE_ENCRYPTION_KEY_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_KEY_SIZE]</argsstring>
        <name>key</name>
        <briefdescription>
<para>Array of bytes holding the key. </para>        </briefdescription>
        <detaileddescription>
<para>The key must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="459" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="459" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__encrypt__info__t_1aeec150318efd3c9b6a5d2a62d642a1a1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_encrypt_info_t::nonce[CY_BLE_ENCRYPTION_NONCE_SIZE]</definition>
        <argsstring>[CY_BLE_ENCRYPTION_NONCE_SIZE]</argsstring>
        <name>nonce</name>
        <briefdescription>
<para>Array of bytes holding the nonce. </para>        </briefdescription>
        <detaileddescription>
<para>The nonce should be in CCM nonce format specified by the Bluetooth Core 5.0 Specification, Vol.6, Part E, Section 2.1 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="464" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="464" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__encrypt__info__t_1abfbafb72fde044bffab8abf1529d0570" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_ccm_encrypt_info_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Pointer to an array of bytes to be encrypted. </para>        </briefdescription>
        <detaileddescription>
<para>The size of the array should be equal to the value of the 'length' parameter. The data must be stored in little endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="469" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="469" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__encrypt__info__t_1a60069a374b6bc2cae31b40f5cce4d7ac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_encrypt_info_t::length</definition>
        <argsstring />
        <name>length</name>
        <briefdescription>
<para>Length of data in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="472" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="472" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AES CCM encrypt information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="474" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="456" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="457" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__encrypt__info__t_1abfbafb72fde044bffab8abf1529d0570" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_encrypt_info_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__encrypt__info__t_1a5d23852ec7aca9b8b8b43c197a74c8ab" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_encrypt_info_t</scope><name>key</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__encrypt__info__t_1a60069a374b6bc2cae31b40f5cce4d7ac" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_encrypt_info_t</scope><name>length</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__encrypt__info__t_1aeec150318efd3c9b6a5d2a62d642a1a1" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_encrypt_info_t</scope><name>nonce</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>